org.springframework.batch.core.jsr.configuration.xml

## Class ListenerParser

- java.lang.Object
- - org.springframework.batch.core.jsr.configuration.xml.ListenerParser

-     public class ListenerParser
      extends java.lang.Object

  Parses the various listeners defined in JSR-352. Current state assumes the ref attributes point to implementations of Spring Batch interfaces and not JSR interfaces
  Since:
    3.0
  Author:
    Michael Minella, Chris Schaefer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenerParser(java.lang.Class<?> listenerType, java.lang.String propertyKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyListenerScope(java.lang.String beanName, org.springframework.beans.factory.support.BeanDefinitionRegistry beanDefinitionRegistry)`
    `void` | `parseListeners(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.AbstractBeanDefinition bd, java.lang.String stepName)`
    `void` | `parseListeners(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListenerParser

          public ListenerParser(java.lang.Class<?> listenerType,
                                java.lang.String propertyKey)

  - ### Method Detail

    - #### parseListeners

          public void parseListeners(org.w3c.dom.Element element,
                                     org.springframework.beans.factory.xml.ParserContext parserContext,
                                     org.springframework.beans.factory.support.AbstractBeanDefinition bd,
                                     java.lang.String stepName)

    - #### parseListeners

          public void parseListeners(org.w3c.dom.Element element,
                                     org.springframework.beans.factory.xml.ParserContext parserContext,
                                     org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

    - #### applyListenerScope

          protected void applyListenerScope(java.lang.String beanName,
                                            org.springframework.beans.factory.support.BeanDefinitionRegistry beanDefinitionRegistry)